io.netty.handler.codec.mqtt

## Class MqttConnAckMessage

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessage
  - - io.netty.handler.codec.mqtt.MqttConnAckMessage

    public final class MqttConnAckMessage
    extends MqttMessage

See MQTTV3.1/connack

### Field Summary

### Fields inherited from class io.netty.handler.codec.mqtt.MqttMessage

`DISCONNECT, PINGREQ, PINGRESP`

### Constructor Summary

Constructors
Constructor and Description
`MqttConnAckMessage(MqttFixedHeader mqttFixedHeader, MqttConnAckVariableHeader variableHeader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttConnAckVariableHeader` `variableHeader()`

### Methods inherited from class io.netty.handler.codec.mqtt.MqttMessage

`decoderResult, fixedHeader, payload, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttConnAckMessage

    public MqttConnAckMessage(MqttFixedHeader mqttFixedHeader,
                              MqttConnAckVariableHeader variableHeader)

### Method Detail

#### variableHeader

    public MqttConnAckVariableHeader variableHeader()

Overrides:
  `variableHeader` in class `MqttMessage`